Package io.dapr.v1

# Class CommonProtos

java.lang.Object
io.dapr.v1.CommonProtos

    public final class CommonProtos
    extends java.lang.Object

- ## Nested Class Summary

  Nested Classes
  Modifier and Type | Class | Description
  --- | --- | ---
  `static class` | `CommonProtos.HTTPExtension` | HTTPExtension includes HTTP verb and querystring when Dapr runtime delivers HTTP content.
  `static interface` | `CommonProtos.HTTPExtensionOrBuilder` |
  `static class` | `CommonProtos.InvokeRequest` | InvokeRequest is the message to invoke a method with the data.
  `static interface` | `CommonProtos.InvokeRequestOrBuilder` |
  `static class` | `CommonProtos.InvokeResponse` | InvokeResponse is the response message inclduing data and its content type from app callback.
  `static interface` | `CommonProtos.InvokeResponseOrBuilder` |
  `static class` | `CommonProtos.StateItem` | StateItem represents state key, value, and additional options to save state.
  `static interface` | `CommonProtos.StateItemOrBuilder` |
  `static class` | `CommonProtos.StateOptions` | StateOptions configures concurrency, consistency, and retry policy for state operations
  `static interface` | `CommonProtos.StateOptionsOrBuilder` |
  `static class` | `CommonProtos.StateRetryPolicy` | StateRetryPolicy represents retry policy to set and delete state operations.
  `static interface` | `CommonProtos.StateRetryPolicyOrBuilder` |

- ## Method Summary

  Modifier and Type | Method | Description
  --- | --- | ---
  `static com.google.protobuf.Descriptors.FileDescriptor` | `getDescriptor()` |
  `static void` | `registerAllExtensions​(com.google.protobuf.ExtensionRegistry registry)` |
  `static void` | `registerAllExtensions​(com.google.protobuf.ExtensionRegistryLite registry)` |

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- ## Method Details

  - ### registerAllExtensions

    public static void registerAllExtensions​(com.google.protobuf.ExtensionRegistryLite registry)

  - ### registerAllExtensions

    public static void registerAllExtensions​(com.google.protobuf.ExtensionRegistry registry)

  - ### getDescriptor

    public static com.google.protobuf.Descriptors.FileDescriptor getDescriptor()